*.
*This program has variable names with length not greater than 8.
*Shortened variables.
 
*TUTRIP_LN        (TUTRIPLN) .
 
 
* Edit the FILE statement to reference the data file on your computer.
 
GET DATA  /TYPE = TXT
 /FILE = "C:\atustrip_2007.dat"
 /DELCASE = LINE
 /DELIMITERS = ","
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
TUCASEID A14
TUTRIPLN F8
TUTRMNYR A6
TUTRV1 F8
TUTRV2 F8
TUTRV31 F8
TUTRV32 F8
TUTRV33 F8
TUTRV34 F8
TUTRV41 F8
TUTRV42 F8
TUTRV43 F8
TUTRV44 F8
TUTRV45 F8
TUTRV46 F8
TUTRV5 F8
.
VARIABLE LABELS
TUCASEID "ATUS Case ID [14-digit identifier]" /
TUTRIPLN "Trip line number" /
TUTRMNYR "Month about which trips questions were asked" /
TUTRV1 "How many times were you away from home in TUTRMNYR? Only report times when you were away from home for 2 or more nights in a row" /
TUTRV2 "Main purpose of trip" /
TUTRV31 "Other main purpose: school related activities" /
TUTRV32 "Other main purpose: weddings or funerals" /
TUTRV33 "Other main purpose: medical reasons" /
TUTRV34 "Other main purpose: other" /
TUTRV41 "Multiple reasons for trip: vacation or visiting friends-relatives was one reason for trip" /
TUTRV42 "Multiple reasons for trip: business or work was one reason for trip" /
TUTRV43 "Multiple reasons for trip: school related activities was one reason for trip" /
TUTRV44 "Multiple reasons for trip: weddings or funerals was one reason for trip" /
TUTRV45 "Multiple Reasons for trip: medical reasons was one reason for trip" /
TUTRV46 "Multiple reasons for trip: other reason was one reason for trip" /
TUTRV5 "Number of nights away for trip" /
.
VALUE LABELS
TUTRV2
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
1 "Vacation or visiting friends-relatives"
2 "Business or work"
3 "Something else [see TUTRV31 - TUTRV34]"
4 "Multiple purposes [see TUTRV41 - TUTRV46]"
/
TUTRV31
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV32
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV33
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV34
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV41
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV42
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV43
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV44
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV45
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
TUTRV46
-1 "Blank"
-2 "Don't Know"
-3 "Refused"
0 "No"
1 "Yes"
/
.
 
CACHE.
EXECUTE.
